org.apache.solr.common.luke

## Enum FieldFlag

- java.lang.Object
- - java.lang.Enum<FieldFlag>
  - - org.apache.solr.common.luke.FieldFlag

All Implemented Interfaces:
  Serializable, Comparable<FieldFlag>

    public enum FieldFlag
    extends Enum<FieldFlag>

Since:
  solr 1.3

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY`
`DOC_VALUES`
`INDEXED`
`LAZY`
`MULTI_VALUED`
`OMIT_NORMS`
`OMIT_POSITIONS`
`OMIT_TF`
`SORT_MISSING_FIRST`
`SORT_MISSING_LAST`
`STORE_OFFSETS_WITH_POSITIONS`
`STORED`
`TERM_VECTOR_OFFSET`
`TERM_VECTOR_PAYLOADS`
`TERM_VECTOR_POSITION`
`TERM_VECTOR_STORED`
`TOKENIZED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`char` `getAbbreviation()`
`String` `getDisplay()`
`static FieldFlag` `getFlag(char abbrev)`
`static FieldFlag` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FieldFlag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INDEXED

    public static final FieldFlag INDEXED

#### TOKENIZED

    public static final FieldFlag TOKENIZED

#### STORED

    public static final FieldFlag STORED

#### DOC_VALUES

    public static final FieldFlag DOC_VALUES

#### MULTI_VALUED

    public static final FieldFlag MULTI_VALUED

#### TERM_VECTOR_STORED

    public static final FieldFlag TERM_VECTOR_STORED

#### TERM_VECTOR_OFFSET

    public static final FieldFlag TERM_VECTOR_OFFSET

#### TERM_VECTOR_POSITION

    public static final FieldFlag TERM_VECTOR_POSITION

#### TERM_VECTOR_PAYLOADS

    public static final FieldFlag TERM_VECTOR_PAYLOADS

#### OMIT_NORMS

    public static final FieldFlag OMIT_NORMS

#### OMIT_TF

    public static final FieldFlag OMIT_TF

#### OMIT_POSITIONS

    public static final FieldFlag OMIT_POSITIONS

#### STORE_OFFSETS_WITH_POSITIONS

    public static final FieldFlag STORE_OFFSETS_WITH_POSITIONS

#### LAZY

    public static final FieldFlag LAZY

#### BINARY

    public static final FieldFlag BINARY

#### SORT_MISSING_FIRST

    public static final FieldFlag SORT_MISSING_FIRST

#### SORT_MISSING_LAST

    public static final FieldFlag SORT_MISSING_LAST

### Method Detail

#### values

    public static FieldFlag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FieldFlag c : FieldFlag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FieldFlag valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getFlag

    public static FieldFlag getFlag(char abbrev)

#### getAbbreviation

    public char getAbbreviation()

#### getDisplay

    public String getDisplay()